#include "irq_customcode_demo_lib.h"

#define TIMER_DIVIDER_0_0              16
#define TIMER_SCALE_0_0                (TIMER_BASE_CLK / TIMER_DIVIDER_0_0)
#define TIMER_INTERVAL_SEC_0_0         (0.5)
 
void initTimer_0_0()
{
  timer_config_t
  config = {
    .divider = TIMER_DIVIDER_0_0,
    .counter_dir = TIMER_COUNT_UP,
    .counter_en = TIMER_PAUSE,
    .alarm_en = TIMER_ALARM_EN,
    .auto_reload = TIMER_AUTORELOAD_EN,
  };

  timer_init(0, 0, &config);

  timer_set_counter_value(0, 0, 0);

  timer_set_alarm_value(0, 0, TIMER_INTERVAL_SEC_0_0 * TIMER_SCALE_0_0);
  timer_enable_intr(0, 0);
}