#ifndef __IRQ_CUSTOMCODE_DEMO_LIB_H
#define __IRQ_CUSTOMCODE_DEMO_LIB_H

/* Mathworks Data Types */
#include "rtwtypes.h"

/* Driver header files */
#include "esp_types.h"
#include "driver/periph_ctrl.h"
#include "driver/timer.h"

typedef struct {
  int timer_group;
  int timer_idx;
  int alarm_interval;
  bool auto_reload;
} example_timer_info_t;

extern void initTimer_0_0();

#endif